summaryrefslogtreecommitdiffstats
path: root/core/find-jdk-tools-jar.sh
diff options
context:
space:
mode:
authorRod Whitby <rod@whitby.id.au>2008-10-22 11:49:14 +1030
committerRod Whitby <rod@whitby.id.au>2008-10-22 11:49:14 +1030
commit3caa7cfa04804479481e5042bfe9b57d1478a9b6 (patch)
treee0a1ade46d3f9f31b48e2244326f753dd0701105 /core/find-jdk-tools-jar.sh
parent8ae3ad5802c7fe78d6b353b0d9090276a4f6a210 (diff)
downloadbuild-3caa7cfa04804479481e5042bfe9b57d1478a9b6.zip
build-3caa7cfa04804479481e5042bfe9b57d1478a9b6.tar.gz
build-3caa7cfa04804479481e5042bfe9b57d1478a9b6.tar.bz2
Detect a missing javac and provide a slightly more helpful error message.
Note the hyphens in the error message are required because the output of this scripts is used directly in a Makefile target. Signed-off-by: Rod Whitby <rod@whitby.id.au>
Diffstat (limited to 'core/find-jdk-tools-jar.sh')
-rwxr-xr-xcore/find-jdk-tools-jar.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/core/find-jdk-tools-jar.sh b/core/find-jdk-tools-jar.sh
index 091eae4..587fbc0 100755
--- a/core/find-jdk-tools-jar.sh
+++ b/core/find-jdk-tools-jar.sh
@@ -2,6 +2,10 @@ if [[ "x$ANDROID_JAVA_HOME" != x && -e $ANDROID_JAVA_HOME/lib/tools.jar ]] ; the
echo $ANDROID_JAVA_HOME/lib/tools.jar
else
JAVAC=$(which javac)
+ if [ -z "$JAVAC" ] ; then
+ echo "Please-install-JDK-5.0,-update-12-or-higher,-which-you-can-download-from-java.sun.com"
+ exit 1
+ fi
while [ -L $JAVAC ] ; do
LSLINE=$(ls -l $JAVAC)
JAVAC=$(echo -n $LSLINE | sed -e "s/.* -> //")